// ---------------------------------------------------------------------------
// HMNull-Demoprogramm, tilman.kuepper@hm.edu, 2020-07-06
// ---------------------------------------------------------------------------

#include "hmnull.h"
#include <iostream>
#include <math.h>

using namespace std;
using namespace HMNull;

// Funktion: f(x) = cos(x) + 2 * x;
double f(double x) { return cos(x) + 2 * x; }

// Hauptprogramm
int main(void)
{
    // Nullstelle mittels Sekantenverfahren bestimmen
    double x0 = Secant(f, 0, 1);

    // Ergebnis ausgeben
    cout << "y = cos(x) + 2 * x hat eine Nullstelle ";
    cout << "bei x0 = " << x0 << endl;
    return 0;
}
